| Home | Libraries | People | FAQ | More

## Function ireplace_nth_copy

boost::algorithm::ireplace_nth_copy — Replace nth algorithm ( case insensitive )

## Synopsis

    // In header: <boost/algorithm/string/replace.hpp>

    template<typename OutputIteratorT, typename Range1T, typename Range2T,
             typename Range3T>
      OutputIteratorT
      ireplace_nth_copy(OutputIteratorT Output, const Range1T & Input,
                        const Range2T & Search, int Nth, const Range3T & Format,
                        const std::locale & Loc = std::locale());
    template<typename SequenceT, typename Range1T, typename Range2T>
      SequenceT ireplace_nth_copy(const SequenceT & Input, const Range1T & Search,
                                  int Nth, const Range2T & Format,
                                  const std::locale & Loc = std::locale());

## Description

Replace an Nth (zero-indexed) match of the search string in the input with the format string. The result is a modified copy of the input. It is returned as a sequence or copied to the output iterator. Searching is case insensitive.

| Note
The second variant of this function provides the strong exception-safety guarantee

Parameters:

`Format` | A substitute string
`Input` | An input string
`Loc` | A locale used for case insensitive comparison
`Nth` | An index of the match to be replaced. The index is 0-based. For negative N, matches are counted from the end of string.
`Output` | An output iterator to which the result will be copied
`Search` | A substring to be searched for

Returns: | An output iterator pointing just after the last inserted character or a modified copy of the input